ml_preprocessing 5.2.0

Dart native
Flutter Android iOS

Popular algorithms of data preprocessing for machine learning

Changelog #

5.2.0 #

  • UnknownValueHandlingType enum added to the lib's public API

5.1.2 #

  • ml_dataframe 0.2.0 supported

5.1.1 #

  • ml_dataframe dependency updated

5.1.0 #

  • Standardizer entity added
  • dtype parameter added as an argument for Pipeline.process method

5.0.4 #

  • Default values for parameters headerPrefix and headerPostfix added where it applicable

5.0.3 #

  • README corrected (ml_dataframe version corrected)

5.0.2 #

  • xrange dependency removed
  • ml_dataframe 0.0.11 supported

5.0.1 #

  • xrange package version locked

5.0.0 #

  • Encoder interface changed: there is no more encode method, use process from Pipeable instead
  • Normalizer entity added
  • normalize operator added

4.0.0 #

  • DataFrame class split up into separate smaller entities
  • DataFrame class core moved to separate repository
  • Pipeline entity created
  • Categorical data encoders implemented Pipeable interface

3.4.0 #

  • DataFrame: encodedColumnRanges added

3.3.0 #

  • ml_linalg 10.0.0 supported

3.2.0 #

  • ml_linalg 9.0.0 supported

3.1.0 #

  • Categorical data processing: encoders parameter added to DataFrame.fromCsv constructor

3.0.0 #

  • xrange library supported: it's possible to provide ZRange object now instead of tuple2 to specify a range of indices

2.0.0 #

  • DataFrame introduced

1.1.0 #

  • Float32x4InterceptPreprocessor added
  • readme updated

1.0.0 #

  • Package published
5
likes
90
pub points
61%
popularity

Popular algorithms of data preprocessing for machine learning

Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

ilgyrd@gmail.com

License

BSD (LICENSE)

Dependencies

ml_dataframe, ml_linalg, quiver

More

Packages that depend on ml_preprocessing